<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';

echo $style;
echo '['.$user[login].']<br />';

switch($_GET[a])
	{
    default:
	if ($user['buy_calc']=='1') Header("location: calc2.php?a=work");
    echo 'Прогнозы ваших научных открытий</div><div class="money">';
	if (isset($_GET['buy']) && abs($_GET[buy])=='1' && $user['buy_calc']=='0')
		{
		if ($user[money] >= '1000')
			{
			mysql_query("UPDATE `users` SET `buy_calc`='1' WHERE `id`='$id'");
			echo 'Покупка прошла успешно</div><a class="razd" href="calc2.php">Далее</a>';
			} else echo 'Вам не хватает денег!';
		}
	if ($user['buy_calc']=='0' AND !isset($_GET['buy']))
		{
		echo '<small>Прогноз предоставляет вам те же возможности что и калькулятор. Вы всегда можете расчитать и изучить любые производства, чтобы прийти к лучшему результату без потерь средств и времени. <br /></small></div><div class="money">Стоимость калькулятора: 1000 монет</div><a class="razd" href="calc2.php?buy=1">Купить</a>';
		}
    break;

    case 'work':
	
	
	
	
	
	
	
	
	
	
	
			if(empty($_POST['pay']) || empty($_POST['scientists']))
             		{
                		echo '
                		<form action="'.$self.'" method="post">
                    	Сколько денег планируете дать на исcледование:<br />
                   		<input name="pay" type="text" value=""><br />
                    	Ученых:<br />
                    	<input name="scientists" type="text" value=""><br />
						Научный уровень: (по умолчанию 10)<br />
                    	<input name="sc_lvl" type="text" value="10"><br />
						<select name="select" size="1">
						<option value="sc_grain">Производство зерна </option>
						<option value="sc_lumber">Производство древисины </option>
						<option value="sc_iron">Производство железа </option>
						<option value="sc_stone">Производство камня </option>
						<option value="sc_wood">Выращивание лесов </option>
						<option value="sc_lvl">Научный уровень </option>
						<option value="sc_workers">Плотность населения </option>
						<option value="sc_savem">Прочность шахт </option>
						<option value="sc_savew">Сохранение лесов </option>
						</select><br />
                   		<input type="submit" value="Прогнозировать">
						</form></div>
                		';
                	}
                	else
                	{
                		$pay=intval(abs($_POST['pay']));
                		$scientists=intval(abs($_POST['scientists']));
                		$what=htmlspecialchars($_POST['select']);
                		switch ($what) {
  						case "sc_grain":
                        $lvl_b='1';
                        $text='Производство зерна';
    					break;
  						case "sc_lumber":
                        $lvl_b='1';
                        $text='Производство древисины';
   						break;
  						case "sc_iron":
                        $lvl_b='1';
                        $text='Производство железа';
    					break;
    					case "sc_stone":
                        $lvl_b='1';
                        $text='Производство камня';
    					break;
  						case "sc_wood":
                        $lvl_b='2';
                        $text='Выращивание лесов';
   						break;
  						case "sc_lvl":
                        $lvl_b='4';
                        $text='Научный уровень';
    					break;
    					case "sc_workers":
                        $lvl_b='6';
                        $text='Плотность населения';
    					break;
  						case "sc_army":
                        $lvl_b='8';
                        $text='Плотность войска';
   						break;
  						case "sc_arive":
                        $lvl_b='10';
                        $text='Прирост населения';
    					break;
    					case "sc_savem":
                        $lvl_b='10';
                        $text='Прочность шахт';
    					break;
  						case "sc_savew":
                        $lvl_b='10';
                        $text='Сохранение лесов';
   						break;
						}
                		if($pay == 0)
                		{
                			$pay=1;
                		}
                		if($scientists == 0)
                		{
                			$scientists=1;
                		}
                		$error='';
                		$add_value=floor($pay/198);
                		$new_value=$user[$what]+$add_value;
                		$time_end=((5000*$add_value)/($_POST['sc_lvl']/10))/($scientists/10)+$time;
                		if($new_value > 100){ $error='Уровень иследования не может привышать <b>100%</b>'; }
                		if($user['scientists'] > '1000000'){ $error='Столько ученых нет и во всем мире'; }
                		if($error == "")
                		{
                			echo 'Исследование займет ';
                			time_end($time_end);
							echo '<br />'.$text.' возростет до '.$new_value.'%';
							echo '</div>';
                		}
                		else
                		{
                			echo $error.'</div>';
                		}
                	}
					
	

	
    break;
	}

echo '</div><div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
';


?>